package com.sky.activate.entity;

import java.io.Serializable;
import java.util.Date;

public class User implements Serializable {

    private Integer id;                         // 用户主键id
    private String guid;                        // 用户随机的guid
    private Date createTime;                    // 用户创建时间
    private Integer archived;                   // 是否在用，0 在用，1 已删除，2 已过期，3 已拉黑
    private String email;                       // 邮箱
//    private String password;                    // 密码，存储密文密码
    private String phone;                       // 手机号
    private String username;                    // 用户名
    private Integer defaultUser;                // 是否是原生用户（非注册）， 0 原生用户，1 注册用户 2 东软   // 是否是原生用户（非注册）， 0 原生用户，1 注册用户 3DR用户
    private Date lastLoginTime;                 // 最后获取用户信息时间
    private String photo;                       // 用户头像
    private String wechatId;                    // 微信id
    private String weiboId;                     // 微博id
    private String qqId;                        // qq id
    private String wechatUsername;              // 微信用户名
    private String weiboUsername;               // 微博用户名
    private String qqUsername;                  // qq用户名
    private String wechatPhoto;                 // 微信头像
    private String weiboPhoto;                  // 微博头像
    private String qqPhoto;                     // qq头像
    private Date failureTime;                   // 失效时间

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getArchived() {
        return archived;
    }

    public void setArchived(Integer archived) {
        this.archived = archived;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getDefaultUser() {
        return defaultUser;
    }

    public void setDefaultUser(Integer defaultUser) {
        this.defaultUser = defaultUser;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getWechatId() {
        return wechatId;
    }

    public void setWechatId(String wechatId) {
        this.wechatId = wechatId;
    }

    public String getWeiboId() {
        return weiboId;
    }

    public void setWeiboId(String weiboId) {
        this.weiboId = weiboId;
    }

    public String getQqId() {
        return qqId;
    }

    public void setQqId(String qqId) {
        this.qqId = qqId;
    }

    public String getWechatUsername() {
        return wechatUsername;
    }

    public void setWechatUsername(String wechatUsername) {
        this.wechatUsername = wechatUsername;
    }

    public String getWeiboUsername() {
        return weiboUsername;
    }

    public void setWeiboUsername(String weiboUsername) {
        this.weiboUsername = weiboUsername;
    }

    public String getQqUsername() {
        return qqUsername;
    }

    public void setQqUsername(String qqUsername) {
        this.qqUsername = qqUsername;
    }

    public String getWechatPhoto() {
        return wechatPhoto;
    }

    public void setWechatPhoto(String wechatPhoto) {
        this.wechatPhoto = wechatPhoto;
    }

    public String getWeiboPhoto() {
        return weiboPhoto;
    }

    public void setWeiboPhoto(String weiboPhoto) {
        this.weiboPhoto = weiboPhoto;
    }

    public String getQqPhoto() {
        return qqPhoto;
    }

    public void setQqPhoto(String qqPhoto) {
        this.qqPhoto = qqPhoto;
    }

    public Date getFailureTime() {
        return failureTime;
    }

    public void setFailureTime(Date failureTime) {
        this.failureTime = failureTime;
    }

    @Override
    public String toString() {
        return "User{" +
                "id=" + id +
                ", guid='" + guid + '\'' +
                ", createTime=" + createTime +
                ", archived=" + archived +
                ", email='" + email + '\'' +
                ", phone='" + phone + '\'' +
                ", username='" + username + '\'' +
                ", defaultUser=" + defaultUser +
                ", lastLoginTime=" + lastLoginTime +
                ", photo='" + photo + '\'' +
                ", wechatId='" + wechatId + '\'' +
                ", weiboId='" + weiboId + '\'' +
                ", qqId='" + qqId + '\'' +
                ", wechatUsername='" + wechatUsername + '\'' +
                ", weiboUsername='" + weiboUsername + '\'' +
                ", qqUsername='" + qqUsername + '\'' +
                ", wechatPhoto='" + wechatPhoto + '\'' +
                ", weiboPhoto='" + weiboPhoto + '\'' +
                ", qqPhoto='" + qqPhoto + '\'' +
                ", failureTime=" + failureTime +
                '}';
    }
}
