package com.sky.activate.service;


import com.sky.activate.entity.User;
import com.sky.activate.mapper.VerifysMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.stereotype.Service;

@Service
@CacheConfig(cacheNames = {"verifysService"})
public class VerifysService {


    @Autowired
    private VerifysMapper verifysMapper;


    public String testStr() {
        return "Hello Word!!!";
    }

    public User selectUserByName(String username) {
        return verifysMapper.selectUserByName(username);
    }

    public void addUser(User user) {
         verifysMapper.addUser(user);
    }
}
